Skip to main content

Delete a SAML Federation credential

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/saml-credentials/:extId

Since: 8.2511.0

Required permission(s): AccessControl.CredentialDelete or SelfAdmin Role

Permanently deletes the SAML Federation credential identified by the given external ID, belonging to the specified user within the given client.

A self-admin path is available: when the authenticated principal is the same user, they may delete their own credential. In that case, a valid JWT token must be present in the request, otherwise a 422 error is returned.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the SAML Federation credential.

    Example: saml-123

Responses

SAML Federation credential deleted successfully

Loading...